<!--
 * @Description: 养护项目统计页面
 * @Author: @liulin
 * @Date: 2023-03-20 15:33:53
 * @LastEditors: Do not edit
 * @LastEditTime: 2023-03-24 15:50:21
-->
<template>
  <TableConfig :configData="configData" />
</template>

<script>
import TableConfig from './components/TableConfig.vue'
import utils from '@/utils' // thousandBit格式化千分位
const BigNumber = require('bignumber.js')
export default {
  name: 'maintenancePatrolStatistics',
  components: {
    TableConfig
  },
  data() {
    return {
      configData: {
        table: [
          {
            label: '路段名称',
            value: 'roadName'
          },
          {
            label: '非政策型专项总数量',
            value: 'dailyCount'
          },
          {
            label: '非政策型专项总金额',
            value: 'dailyMoney'
          },
          {
            label: '项目总数量',
            value: 'projectCount',
          },
          {
            label: '项目总金额',
            value: 'projectMoney',
            format: true,
            count: val => utils.thousandBit(val)
          },
          {
            label: '政策型专项总数量',
            value: 'specialCount'
          },
          {
            label: '政策型专项总金额',
            value: 'specialMoney',
            format: true,
            count: val => utils.thousandBit(val)
          },
          {
            label: '开工总数量',
            value: 'startCount'
          },
          {
            label: '开工比例',
            value: 'startRate',
            format: true,
            count: val => new BigNumber(val).times(100) + '%'
          },
          {
            label: '未开工总数量',
            value: 'unStartCount'
          }
        ],
        api: 'bizEngineeringProject/v1/projectReport'
      }
    }
  }
}
</script>
<style lang="scss"></style>
